.. AUTO-GENERATED FILE. DO NOT EDIT. /hardware-rentals-delete-one ============================ Summary ------- - **Source repository:** ``jef-systems/jef-hardware-backend`` - **Source SHA:** ``da55214e1c0cdc1f340e0eaca147285c336498dd`` - **Source run id:** ``25890112298`` - **Lambda function:** ``jef-hardware-rentals-delete-one`` - **HTTP method:** ``DELETE`` - **API path:** ``/hardware-rentals-delete-one`` - **Endpoint URL:** ``https://5g667fp458.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-rentals-delete-one`` - **Payload mode:** ``json-body`` Description ----------- - ``Function``: jef-hardware-rentals-delete-one - ``Module``: jef-hardware - ``Action``: delete-one - ``Method``: DELETE - ``Invocation Mode``: ASYNC - ``Resource Path``: /hardware-rentals-delete-one - ``Table``: jef-hardware-rentals - ``Primary Key``: rental\_id API Gateway Response -------------------- - ``status\_code``: 202 - ``message``: Request accepted for asynchronous processing. Payload Example --------------- - ``rental\_id``: 7543eb36-edad-46bd-84ae-0268f57a07fb Payload Schema -------------- .. code-block:: json [ { "key": "root.type", "value": "M" }, { "key": "root.required", "value": "True" }, { "key": "root.attributes.rental_id.type", "value": "S" }, { "key": "root.attributes.rental_id.required", "value": "True" }, { "key": "root.attributes.rental_id.format", "value": "uuidv4" }, { "key": "root.attributes.rental_id.regex", "value": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$" } ] Response Schema --------------- .. code-block:: json [ { "key": "root.type", "value": "M" }, { "key": "root.required", "value": "True" }, { "key": "root.attributes.is_accepted.type", "value": "BOOL" }, { "key": "root.attributes.is_accepted.required", "value": "True" }, { "key": "root.attributes.message.type", "value": "S" }, { "key": "root.attributes.message.required", "value": "True" }, { "key": "root.attributes.request_id.type", "value": "S" }, { "key": "root.attributes.request_id.required", "value": "False" } ] Request Payload --------------- .. code-block:: json [ { "key": "rental_id", "value": "7543eb36-edad-46bd-84ae-0268f57a07fb" } ] Response -------- .. code-block:: json [ { "key": "root.type", "value": "M" }, { "key": "root.required", "value": "True" }, { "key": "root.attributes.is_accepted.type", "value": "BOOL" }, { "key": "root.attributes.is_accepted.required", "value": "True" }, { "key": "root.attributes.message.type", "value": "S" }, { "key": "root.attributes.message.required", "value": "True" }, { "key": "root.attributes.request_id.type", "value": "S" }, { "key": "root.attributes.request_id.required", "value": "False" } ] CMD curl -------- .. code-block:: bat curl -X DELETE "https://5g667fp458.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-rentals-delete-one" -H "Content-Type: application/json" --data-raw "{\"rental_id\": \"7543eb36-edad-46bd-84ae-0268f57a07fb\"}" PowerShell curl --------------- .. code-block:: powershell curl.exe -X DELETE "https://5g667fp458.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-rentals-delete-one" -H "Content-Type: application/json" --data-raw '{"rental_id": "7543eb36-edad-46bd-84ae-0268f57a07fb"}'